package com.inspect.metadata.patrolpointmnt.domain;

import com.inspect.base.core.web.domain.BaseEntity;

public class SubTypeDO extends BaseEntity {
    private static final long serialVersionUID = 1L;
    private Long patrolpointId;
    private String algSubtypeId;
    private String algSubtypeName;
    private String lowerValue;
    private String upperValue;

    public Long getPatrolpointId() {
        return this.patrolpointId;
    }

    public String getAlgSubtypeId() {
        return this.algSubtypeId;
    }

    public String getAlgSubtypeName() {
        return this.algSubtypeName;
    }

    public String getLowerValue() {
        return this.lowerValue;
    }

    public String getUpperValue() {
        return this.upperValue;
    }

    public void setPatrolpointId(Long patrolpointId) {
        this.patrolpointId = patrolpointId;
    }

    public void setAlgSubtypeId(String algSubtypeId) {
        this.algSubtypeId = algSubtypeId;
    }

    public void setAlgSubtypeName(String algSubtypeName) {
        this.algSubtypeName = algSubtypeName;
    }

    public void setLowerValue(String lowerValue) {
        this.lowerValue = lowerValue;
    }

    public void setUpperValue(String upperValue) {
        this.upperValue = upperValue;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof SubTypeDO)) {
            return false;
        } else {
            SubTypeDO other = (SubTypeDO) o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label71:
                {
                    Object this$patrolpointId = this.getPatrolpointId();
                    Object other$patrolpointId = other.getPatrolpointId();
                    if (this$patrolpointId == null) {
                        if (other$patrolpointId == null) {
                            break label71;
                        }
                    } else if (this$patrolpointId.equals(other$patrolpointId)) {
                        break label71;
                    }

                    return false;
                }

                Object this$algSubtypeId = this.getAlgSubtypeId();
                Object other$algSubtypeId = other.getAlgSubtypeId();
                if (this$algSubtypeId == null) {
                    if (other$algSubtypeId != null) {
                        return false;
                    }
                } else if (!this$algSubtypeId.equals(other$algSubtypeId)) {
                    return false;
                }

                label57:
                {
                    Object this$algSubtypeName = this.getAlgSubtypeName();
                    Object other$algSubtypeName = other.getAlgSubtypeName();
                    if (this$algSubtypeName == null) {
                        if (other$algSubtypeName == null) {
                            break label57;
                        }
                    } else if (this$algSubtypeName.equals(other$algSubtypeName)) {
                        break label57;
                    }

                    return false;
                }

                Object this$lowerValue = this.getLowerValue();
                Object other$lowerValue = other.getLowerValue();
                if (this$lowerValue == null) {
                    if (other$lowerValue != null) {
                        return false;
                    }
                } else if (!this$lowerValue.equals(other$lowerValue)) {
                    return false;
                }

                Object this$upperValue = this.getUpperValue();
                Object other$upperValue = other.getUpperValue();
                if (this$upperValue == null) {
                    if (other$upperValue == null) {
                        return true;
                    }
                } else if (this$upperValue.equals(other$upperValue)) {
                    return true;
                }

                return false;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof SubTypeDO;
    }

    public int hashCode() {
        int PRIME = 1;
        int result = 1;
        Object $patrolpointId = this.getPatrolpointId();
        result = result * 59 + ($patrolpointId == null ? 43 : $patrolpointId.hashCode());
        Object $algSubtypeId = this.getAlgSubtypeId();
        result = result * 59 + ($algSubtypeId == null ? 43 : $algSubtypeId.hashCode());
        Object $algSubtypeName = this.getAlgSubtypeName();
        result = result * 59 + ($algSubtypeName == null ? 43 : $algSubtypeName.hashCode());
        Object $lowerValue = this.getLowerValue();
        result = result * 59 + ($lowerValue == null ? 43 : $lowerValue.hashCode());
        Object $upperValue = this.getUpperValue();
        result = result * 59 + ($upperValue == null ? 43 : $upperValue.hashCode());
        return result;
    }

    public String toString() {
        return "SubTypeDO(patrolpointId=" + this.getPatrolpointId() + ", algSubtypeId=" + this.getAlgSubtypeId() + ", algSubtypeName=" + this.getAlgSubtypeName() + ", lowerValue=" + this.getLowerValue() + ", upperValue=" + this.getUpperValue() + ")";
    }
}
